## ros-indigo-romeo-bringup 0.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(romeo_bringup)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY config
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-romeo-bringup (0.1.5-0trusty) trusty; urgency=high

  * update maintainers
  * Contributors: Mikael Arguedas

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Fri, 20 Jan 2017 08:00:00 -0000

ros-indigo-romeo-bringup (0.1.4-0trusty) trusty; urgency=high

  * fixed packages.xml
  * Contributors: Mikael Arguedas

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Fri, 20 May 2016 07:00:00 -0000

ros-indigo-romeo-bringup (0.1.3-0trusty) trusty; urgency=high

  * fixing romeo_bringup launch and romeo_sensors_py to get data from all cameras
  * adding details to the package description
  * Contributors: nlyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Sun, 20 Dec 2015 08:00:00 -0000

ros-indigo-romeo-bringup (0.1.2-0trusty) trusty; urgency=high



 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Wed, 21 Oct 2015 07:00:00 -0000

ros-indigo-romeo-bringup (0.1.1-0trusty) trusty; urgency=high

  * add a cHANGELOG for romeo_bringup
  * artifically bump romeo_bringup's version for a proper release
  * Adding new package romeo_bringup
  * Contributors: Vincent Rabaud, nlyubova
  * artifically bump romeo_bringup's version for a proper release
  * Adding new package romeo_bringup
  * Contributors: Vincent Rabaud, nlyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Wed, 21 Oct 2015 07:00:00 -0000

ros-indigo-romeo-bringup (0.1.0-0trusty) trusty; urgency=high



 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Thu, 08 Oct 2015 07:00:00 -0000

ros-indigo-romeo-bringup (0.0.13-0trusty) trusty; urgency=high



 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Thu, 04 Dec 2014 08:00:00 -0000

ros-indigo-romeo-bringup (0.0.12-0trusty) trusty; urgency=high



 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Thu, 27 Nov 2014 02:58:00 -0000

ros-indigo-romeo-bringup (0.0.11-0trusty) trusty; urgency=high



 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Wed, 26 Nov 2014 22:05:00 -0000

ros-indigo-romeo-bringup (0.0.10-0trusty) trusty; urgency=high



 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Thu, 13 Nov 2014 08:00:00 -0000

ros-indigo-romeo-bringup (0.0.9-0trusty) trusty; urgency=high



 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Thu, 25 Sep 2014 07:00:00 -0000

ros-indigo-romeo-bringup (0.0.8-0trusty) trusty; urgency=high



 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Mon, 22 Sep 2014 22:09:00 -0000

ros-indigo-romeo-bringup (0.0.7-0trusty) trusty; urgency=high



 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Mon, 22 Sep 2014 17:27:00 -0000

ros-indigo-romeo-bringup (0.0.6-0trusty) trusty; urgency=high



 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Fri, 19 Sep 2014 07:00:00 -0000

ros-indigo-romeo-bringup (0.0.5-0trusty) trusty; urgency=high



 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Thu, 18 Sep 2014 07:00:00 -0000

ros-indigo-romeo-bringup (0.0.4-0trusty) trusty; urgency=high



 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Thu, 11 Sep 2014 07:00:00 -0000

ros-indigo-romeo-bringup (0.0.3-0trusty) trusty; urgency=high



 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Thu, 11 Sep 2014 01:26:00 -0000

ros-indigo-romeo-bringup (0.0.2-0trusty) trusty; urgency=high



 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Wed, 10 Sep 2014 23:03:00 -0000

ros-indigo-romeo-bringup (0.0.1-0trusty) trusty; urgency=high



 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Tue, 09 Sep 2014 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-romeo-bringup
Section: misc
Priority: extra
Maintainer: Natalia Lyubova <natalia.lyubova@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://www.ros.org/wiki/romeo_bringup
Standards-Version: 3.9.2

Package: ros-indigo-romeo-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-naoqi-driver, ros-indigo-romeo-description, ros-indigo-romeo-sensors-py
Description: The romeo_bringup package contains launch and configuration files required to bring ROS interfaces for Romeo up into a running state.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-romeo-bringup//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
